MODULE work
integer n
real(8) h

real(8), allocatable ::x(:,:)
real(8), allocatable ::f(:)		! membrii doi
real(8), allocatable :: w1(:),w2(:),w3(:),w4(:)
real(8), allocatable ::x0(:), xEnd(:)	! xanterior = x0

real(8), allocatable ::fa(:,:)	! valori f anterioare: fa(-3:1,n)

real(8) e		! for 2-Body
END MODULE work